.zg-product .product-detail {
  background-color: rgba(var(--color-background, var(--color-page-background)));
  display: grid;
  width: 100%;
  grid-template-columns: calc(60% - 74px) 74px 40%;
  grid-template-areas: "left gap right";
}

.zg-product-media-wrapper {
  grid-area: left;
}

.product-detail__info {
  grid-area: right;
}

/* pc端隐藏富文本资源费下划线 */
/* .product-detail__info .rte a {
  text-decoration: none;
} */
/* 移动端隐藏富文本资源费下划线 */
/* .zg-product-media-wrapper .rte a {
  text-decoration: none;
} */

.product-detail-wrapper {
  background-color: rgba(var(--color-background, var(--color-page-background)));
  margin-top: 1rem;
}

.product-detail__row {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.product-detail__share, .product-detail__additional, .product-detail__sell-info {
  display: none;
}

.zg-product .product-detail__title {
  font-family: var(--sort-title-font);
  font-size: 24px;
  line-height: 1.2;
  color: #222222;
  text-align: left;
  font-style: normal;
}

.zg-product .product-detail__title-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  gap: 40px;
}

.zg-product .product-detail__title-wrapper .wishlist-collect-icon-btn {
  position: unset!important;
  padding: 0;
}
.zg-product .product-detail__title-wrapper .zg-wishlist-text {
  font-size: 12px;
  white-space: nowrap;
}
.product-detail__title-wrapper .zg-wishlist__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.zg-product .product-detail__title-wrapper .wishlist-collect-icon-btn .collect-btn-icon {
  font-size: 24px;
}

.product-detail__sku {
  color: #999;
  font-size: 12px;
  line-height: 1;
  margin-top: 4px;
}


.zg-product .block-product-card-coustom_title {
  padding-top: 0;
}

.zg-product .zg-you-may-like,
.zg-product .zg-recommended,
.zg-product .zg-recently-view {
  padding-inline: calc(var(--page-padding) + 106px);
  padding-block-start: 30px;
}

.shopline-payment-button-wrapper .pay-button-common-item.pay-button-common-item-express.pay-button-Paypal,
.shopline-payment-button-wrapper .pay-button-common-item.pay-button-common-item-express.pay-button-ApplePay {
  transform: scaleY(0.85);
}

klarna-placement {
  margin-top: 12px!important;
}

.shopline-product-form.product-detail__form {
  margin-top: 15px;
}
.detail-buy-buttons__sticky {
  display: none;
  position: sticky;
  bottom: 0px;
  left: 0px;
  right: 0px;
  width: 100%;
  height: auto;
  padding: 17px 23px 13px;
  box-shadow: rgb(187, 189, 187) 0px -8px 7px -7px;
  background: rgb(255, 255, 255);
  z-index: 99;
  flex-direction: column;
  justify-content: unset;
  align-items: unset;
}

.detail-buy-buttons__sticky zg-add2cart-button {
  margin-top: 16px;
}

theme-product-detail[data-variant-available="false"] .detail-buy-buttons__sticky {
  display: none!important;
}

zg-add2cart-button button[type="submit"] {
  padding: 10px 0;
  font-size: 19px;
  line-height: 1;
}

.zg-recently-view.slideshow {
  padding-left: var(--page-padding);
  padding-right: var(--page-padding);
}

.sales-bundle-addons__app-block {
  margin-top: 14px;
}
.product-detail__variant-picker {
  margin-top: 18px;
}

@media (min-width: 1801px) {
  .zg-pdp-media .product-detail__media-gallery .media-gallery__thumbnail-list {
    height: 960px;
  }
}
@media (min-width: 960px) {
  .zg-recently-view.slideshow .zg-recently-view_header,
  .zg-recommended.slideshow .zg-recommended_header,
  .zg-you-may-like.slideshow .zg-you-may-like_header {
    margin-top: 68px;
  }
  .zg-product .product-detail__media-gallery .media-gallery__thumbnail-image {
    height: auto;
  }
 
  .product-detail__media-gallery {
    height: 100%;
  }

  .product-detail__media-gallery .media-gallery__content {
    position: sticky;
    top: 10px;
    transform: translateZ(0);
    backface-visibility: hidden;
  }
  .product-detail__col {
    width: 100%;
  }

  .product-detail[data-desktop-direction="row"] {
    z-index: var(--z-index-focus);
  }

  .product-detail[data-desktop-direction="row"] .product-detail__col {
    flex: 1 0 0;
  }

  .product-detail[data-desktop-direction="row"] .product-detail__col--small {
    width: 34%;
  }

  .product-detail[data-desktop-direction="row"]
    .product-detail__col--small
    + .product-detail__col {
    width: 66%;
  }

  .product-detail[data-desktop-direction="row"] .product-detail__col--medium {
    width: 50%;
  }

  .product-detail[data-desktop-direction="row"]
    .product-detail__col--medium
    + .product-detail__col {
    width: 50%;
  }

  .product-detail[data-desktop-direction="row"] .product-detail__col--large {
    width: 66%;
  }

  .product-detail[data-desktop-direction="row"]
    .product-detail__col--large
    + .product-detail__col {
    width: 34%;
  }

  .zg-product .product-detail[data-desktop-direction="row"]
    .product-detail__col--large
    + .product-detail__col {
    width: 35%;
    flex: none;
  }
  .zg-product .product-detail[data-desktop-direction="row"] .product-detail__col--medium + .product-detail__col {
    width: 35%;
    flex: none;
  }
}
@media (min-width: 960px) and (max-width: 1800px) {
  .zg-pdp-media .product-detail__media-gallery .media-gallery__thumbnail-list {
    height: 640px;
  }
}
@media (max-width: 959px) {
  .zg-product-media-wrapper .product-detail__media-gallery .media-gallery__arrows {
    display: none;
  }
  .zg-product .media-gallery__sticky-wrapper .media-gallery__media {
    aspect-ratio: 1;
    display: flex;
    align-items: center;
    border: 1px solid #e5e7eb;
  }
  .zg-product .product-detail {
    display: flex;
    flex-direction: column;
  }
  .product-detail__info {
    --detai-info-width: 100%;
  }
  .product-detail__media-gallery .media-gallery__thumbnail-list {
    height: auto;
  }
  body[data-page-type="product"] .zg-you-may-like,
  body[data-page-type="product"] .zg-recently-view,
  body[data-page-type="product"] .zg-recommended {
    padding-inline: var(--page-padding);
    margin-top: 45px;
  }
  body[data-page-type="product"] .footer-copyright {
    padding-bottom: 60px;
  }
  .zg-product .product-detail__media-gallery .media-gallery__media {
    width: 100%;
  }
  body[data-page-type="product"] .hidden-mobile {
    display: none!important;
  }
  body[data-page-type="product"] .hidden-desktop {
    display: block!important;
  }
  .zg-product .product-detail__title {
    font-size: 22px;
  }
  .detail-buy-buttons__sticky {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    position: fixed;
  }
  .detail-buy-buttons__sticky .zg-qty-quantity__container {
    justify-content: flex-start;
  }
  .detail-buy-buttons__sticky .zg-qty-quantity__container .zg-qty-input {
    display: none;
  }
  .detail-buy-buttons__sticky .zg-qty-quantity__container .custom-promotion-price .zg-sales-price.zg-sales-promotion-price .product-price__item--price {
    font-size: 20px;
  }
  .detail-buy-buttons__sticky .zg-qty-quantity__container .custom-promotion-price .zg-sales-promotion-throughline-price .product-price__item--price {
    font-size: 12px;
  }
  .detail-buy-buttons__sticky zg-add2cart-button {
    margin-top: 0;
  }
  .detail-buy-buttons__sticky zg-add2cart-button  .button {
    padding-inline: 40px;
  } 
  .detail-buy-buttons__sticky zg-add2cart-button .button-text {
    font-size: 19px;
    line-height: 20px;
  }
  .product-detail__variant-picker {
    margin-top: 35px;
  }
  .product-detail__sku {
    font-size: 12px;
  }
  .product-detail .custom-promotion-price .zg-sales-price.zg-sales-promotion-price .product-price__item--price,
  .product-detail .custom-promotion-price .zg-sales-price .product-price__item--price {
    font-size: 19px;
  }
  .custom-promotion-price_wrapper {
    margin-bottom: 12px;
  }
  .product-detail .custom-promotion-price_wrapper .zg-pdp-add-to-cart__button-sticky-percent {
    font-size: 16px;
  }
  .product-detail .custom-promotion-price .zg-sales-promotion-throughline-price .product-price__item--price {
    font-size: 14px;
  }
  .product-detail__media-gallery .media-gallery__thumbnail-arrows button {
    display: none;
  }
}

/* 重置插件样式 */
.bundle-addons-title {
  font-family: var(--sort-title-font);
  text-transform: uppercase;
  margin-top: 20px;
  font-size: 16px;
}
.bundle-addons .addons_item.bundle-addons-item:not(:last-child) {
  border-radius: 0;
  margin-bottom: 20px!important;
}
.bundle-addons-items .bundle-addons-item-image {
  background-color: unset;
}
.bundle-addons-items .bundle-addons-item-image {
  padding-bottom: 100%!important;
}
.bundle-addons-items .bundle-addons-item-image img {
  height: unset!important;
}
.bundle-addons-items .bundle-addons-item-price .sales-currency-object {
  color: #902A1F;
}


/* 折扣活动在pdp的样式 */
.discount-style_app_block div[data-e2e="discount_code"]>div>div {
width: 100%;
}
.discount-style_app_block div[data-e2e="discount_code"]>div>div>div{
  width: 100%;
  justify-content: center;
}
